lcd.h File Reference

Go to the source code of this file.

## Macros

#define | MAX_LCDS 8
#define | LCD_RW 24
#define | LCD_RS 27
#define | LCD_EN 23

## Functions

void | lcdHome (const int fd)
void | lcdClear (const int fd)
void | lcdDisplay (const int fd, int state)
void | lcdCursor (const int fd, int state)
void | lcdCursorBlink (const int fd, int state)
void | lcdSendCommand (const int fd, unsigned char command)
void | lcdPosition (const int fd, int x, int y)
void | lcdCharDef (const int fd, int index, unsigned char data[8])
void | lcdPutchar (const int fd, unsigned char data)
void | lcdPuts (const int fd, const char *string)
void | lcdPrintf (const int fd, const char *message,...)
int | lcdInitI (const int rows, const int cols, const int bits, const int rs, const int strb)
int | lcdInit (void)

## Macro Definition Documentation

#define LCD_EN 23

#define LCD_RS 27

#define LCD_RW 24

#define MAX_LCDS 8

## Function Documentation

void lcdCharDef | ( | const int | fd,
|  | int | index,
|  | unsigned char | data[8]
| ) |  |

void lcdClear | ( | const int | fd | ) |

void lcdCursor | ( | const int | fd,
|  | int | state
| ) |  |

void lcdCursorBlink | ( | const int | fd,
|  | int | state
| ) |  |

void lcdDisplay | ( | const int | fd,
|  | int | state
| ) |  |

void lcdHome | ( | const int | fd | ) |

int lcdInit | ( | void |  | ) |

int lcdInitI | ( | const int | rows,
|  | const int | cols,
|  | const int | bits,
|  | const int | rs,
|  | const int | strb
| ) |  |

void lcdPosition | ( | const int | fd,
|  | int | x,
|  | int | y
| ) |  |

void lcdPrintf | ( | const int | fd,
|  | const char * | message,
|  |  | ...
| ) |  |

void lcdPutchar | ( | const int | fd,
|  | unsigned char | data
| ) |  |

void lcdPuts | ( | const int | fd,
|  | const char * | string
| ) |  |

void lcdSendCommand | ( | const int | fd,
|  | unsigned char | command
| ) |  |